Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.TestExceptionCommand

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestExceptionCommand

All Implemented Interfaces:
  Continuation

Enclosing class:
  PastRegrTest

    protected class PastRegrTest.TestExceptionCommand

extends java.lang.Object
implements Continuation

Common superclass for test commands which should throw an exception

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuationRunnable<R,E extends java.lang.Exception>, Continuation.ExternalRunnable, Continuation.ListenerContinuation<R,E extends java.lang.Exception>, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation<R,E extends java.lang.Exception>`

Constructor Summary
`protected` | `PastRegrTest.TestExceptionCommand()`

Method Summary
`void` | `receive(java.lang.Object result)`
`void` | `receiveException(java.lang.Exception e)` Called when an exception occurred as a result of the previous command.
`void` | `receiveResult(java.lang.Object result)` Called when a previously requested result is now available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PastRegrTest.TestExceptionCommand

    protected PastRegrTest.TestExceptionCommand()

Method Detail

### receiveResult

    public void receiveResult(java.lang.Object result)

  Description copied from interface: `Continuation`
  Called when a previously requested result is now available.

  Specified by:
    `receiveResult` in interface `Continuation`
  Parameters:
    `result` - The result of the command.

### receive

    public void receive(java.lang.Object result)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### receiveException

    public void receiveException(java.lang.Exception e)

  Description copied from interface: `Continuation`
  Called when an exception occurred as a result of the previous command.

  Specified by:
    `receiveException` in interface `Continuation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.